Unset users
delete
/rest/ofscCore/v1/resources/{resourceId}/users
This operation removes all the users assigned to the specified resource.
Request
Path Parameters
-
resourceId(required): string
The unique identifier of the resource in Oracle Field Service.
Response
Supported Media Types
- application/json
204 Response
This section describes the 204 status response for this operation. This response code indicates that the operation completed successfully. This operation does not return elements in the response body.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
objectError response
Show Source
-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to remove users by submitting a DELETE request on the REST resource using cURL.
curl -X 'DELETE' \
-u '<CLIENT-ID>@<INSTANCE-NAME>:<CLIENT-SECRET>' \
-H 'Content-Type: application/json' \
--data-binary '' \
'https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscCore/v1/resources/testResourceUsersCruIZDCOOZTHB/users'Example of Response Header
The following shows an example of the response header.
HTTP/1.1 204 No Content Server: nginx/1.2.7 Date: Fri, 18 Mar 2016 02:25:33 GMT Content-Type: application/json; charset=utf-8 Connection: close